petsc-3.12.1 2019-10-22
Report Typos and Errors

# PetscOmpCtrlCreate

create a PETSc OpenMP controller, which manages PETSc's interaction with third party libraries using OpenMP

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscOmpCtrlCreate(MPI_Comm petsc_comm,PetscInt nthreads,PetscOmpCtrl *pctrl)

### Input Parameter

| petsc_comm | - a communicator some PETSc object (for example, a matrix) lives in
| nthreads | - number of threads per MPI rank to spawn in a library using OpenMP. If nthreads = -1, let PETSc decide a suitable value

### Output Parameter

pctrl -a PETSc OpenMP controller

TODO: Possibly use the variable PetscNumOMPThreads to determine the number for threads to use

### See Also

PetscOmpCtrlDestroy()

### Level

developer

### Location

src/sys/utils/mpishm.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages